<?xml version="1.0" encoding="utf-8"?>
<!--
	Copyright (C) 2019 SuXueFeng GNU
-->
<odoo>

    <record id="we_approval_approval_line_tree_view" model="ir.ui.view">
        <field name="name">审批人</field>
        <field name="model">wxwork.approval.approver_line</field>
        <field name="arch" type="xml">
<!--             <tree default_order="id desc" js_class="we_approval_tem_tree_class"> -->
            <tree js_class="we_approval_tem_tree_class">
<!--                 <field name="main_id"/> -->
                <field name="id"/>
                <field name="attr"/>
                <field name="userid"/>
            </tree>
        </field>
    </record>

    <record id="wxwork_approval_approver_line_form" model="ir.ui.view">
		<field name="name">审批人</field>
		<field name="model">wxwork.approval.approver_line</field>
		<field name="arch" type="xml">
            <form>
            <group>
<!--                 <field name="main_id"/> -->
                <field name="id"/>
                <field name="attr"/>
                <field name="userid" widget='many2many_tags'/>

            </group>
            </form>
		</field>
	</record>

    <record id="we_approval_approval_line_tree_view" model="ir.ui.view">
        <field name="name">审批人</field>
        <field name="model">wxwork.approval.approver_line</field>
        <field name="arch" type="xml">
<!--             <tree default_order="id desc" js_class="we_approval_tem_tree_class"> -->
            <tree js_class="we_approval_tem_tree_class">
<!--                 <field name="main_id"/> -->
                <field name="id"/>
                <field name="attr"/>
                <field name="userid"/>
            </tree>
        </field>
    </record>

    <record id="wxwork_approval_approver_line_form" model="ir.ui.view">
		<field name="name">审批人</field>
		<field name="model">wxwork.approval.approver_line</field>
		<field name="arch" type="xml">
            <form>
            <group>
<!--                 <field name="main_id"/> -->
                <field name="id"/>
                <field name="attr"/>
                <field name="userid" widget='many2many_tags'/>

            </group>
            </form>
		</field>
	</record>

<!-- 	摘要缺省视图 -->
	<record id="wxwork_approval_summary_tree_view" model="ir.ui.view">
        <field name="name">摘要</field>
        <field name="model">wxwork.approval.template.summary</field>
        <field name="arch" type="xml">
            <tree>
                <field name="template_id"/>
                <field name="text"/>
                <field name="lang"/>
            </tree>
        </field>
    </record>

    <record id="wxwork_approval_summary_form" model="ir.ui.view">
		<field name="name">摘要</field>
		<field name="model">wxwork.approval.template.summary</field>
		<field name="arch" type="xml">
            <form>
            <group>
                <field name="template_id"/>
                <field name="text"/>
                <field name="lang"/>
            </group>
            </form>
		</field>
	</record>


</odoo>
